package com.example.assignment1;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;

public class MainActivity extends AppCompatActivity {

    protected CounterButtonSharedPreferenceHelper firstEventButton;
    protected CounterButtonSharedPreferenceHelper secondEventButton;
    protected CounterButtonSharedPreferenceHelper thirdEventButton;

    protected Button settingsButton = null;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        settingsButton = findViewById(R.id.settings_button);

        firstEventButton = new CounterButtonSharedPreferenceHelper(MainActivity.this, CounterButton.FIRST);
        secondEventButton = new CounterButtonSharedPreferenceHelper(MainActivity.this, CounterButton.SECOND);
        thirdEventButton = new CounterButtonSharedPreferenceHelper(MainActivity.this, CounterButton.THIRD);

        settingsButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // Create an Intent to start the SettingsActivity
                goToSettingsActivity();
            }
        });
    }

    @Override
    protected void onStart()
    {
        super.onStart();

        if(
            firstEventButton.getCounterButtonName(CounterButton.FIRST) == null ||
            secondEventButton.getCounterButtonName(CounterButton.SECOND) == null ||
            thirdEventButton.getCounterButtonName(CounterButton.THIRD) == null) {

            goToSettingsActivity();
        }
    }

    private void goToSettingsActivity() {
        Intent intent = new Intent(MainActivity.this, SettingsActivity.class);
        startActivity(intent);
    }
}